2021-01-25 14:11 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000989Frama-CPlug-in > callgraphpublic2018-11-30 10:47
ReporterAnne 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0000989: Strange dot callgraphs
DescriptionFirst of all, the callgraph shown in the GUI is not the same than the one generated with the [-cg] option. In the GUI, some of the functions are not displayed at all (g1 and g2 in the enclosed example).

Moreover, in both graphs (from the GUI and the command line), there is an edge between [g] and [nxt] even if [g] doesn't directly call [nxt]...
TagsNo tags attached.
Attached Files
  • c file icon toto.c (201 bytes) 2011-10-19 09:30 -
    void nxt ();
    
    void f () {
      nxt ();
      return;
    }
    
    int g2 (int x) {
      nxt ();
      return x;
    }
    int g1 (int x) {
      return g2 (x);
    }
    int g (int x) {
      return g1 (x);
    }
    int main (void) {
      f ();
      return 0;
    }
    
    c file icon toto.c (201 bytes) 2011-10-19 09:30 +

-Relationships
+Relationships

-Notes

~0002634

signoles (manager)

You have to click on the root of the services <g> to see <g1> and <g2>. The edge between [g] and [nxt] is now not shown.
+Notes

-Issue History
Date Modified Username Field Change
2011-10-19 09:30 Anne New Issue
2011-10-19 09:30 Anne Status new => assigned
2011-10-19 09:30 Anne Assigned To => signoles
2011-10-19 09:30 Anne File Added: toto.c
2011-10-19 19:11 signoles Status assigned => confirmed
2012-01-27 19:37 svn
2012-01-27 19:38 signoles Note Added: 0002634
2012-01-27 19:38 signoles Status confirmed => resolved
2012-01-27 19:38 signoles Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2018-11-30 10:47 signoles Category Plug-in > syntactic callgraph => Plug-in > callgraph
+Issue History